<?php

declare(strict_types=1);

namespace PHPMax\Api\Chats;

use PHPMax\Support\Model;

class DeleteChatPayload extends Model
{
     
    public $chatId;
     
    public $lastEventTime;
     
    public $forAll = true;

    protected static function schema(): array
    {
        return [
            'chatId' => ['type' => 'int', 'required' => true],
            'lastEventTime' => ['type' => 'int', 'required' => true],
            'forAll' => ['type' => 'bool', 'default' => true],
        ];
    }
}
